Ubuntu

kubuntu 9.04 freezes all the time

Reported by Wesley Velroij on 2009-03-03
34
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kubuntu-meta (Ubuntu)
Undecided
Unassigned

Bug Description

Hello, lately kubuntu 9.04 is freezing and sometimes its just overloads itself and freezes to, i use the ext4 file system,

Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :

Hello,

Ive tried yesterday to install openSuse 11.1 and came across a bug in the bios from the atom330 motherboard, ive updated the bios, so i wonder could the freezing be because that bug in the bios?

Marcus Asshauer (mcas) wrote :

Thank you for reporting this bug. Have you installed the latest updates for your Kubuntu 9.04? Can you please try the Alpha 5 live cd?

Changed in kubuntu-meta:
status: New → Incomplete
Wesley Velroij (velroy1) wrote :

Yes I have, I going reinstall it and format it, the bios update didnt slove it, on thing i have to mention, the hd seems very busy when it happens, but ext4 should be good, so cant be that.

DajomU (dmuren) wrote :

I have the same problem with my kubuntu 9.04 beta1 32-bit, but it seems to be a problem with the nvidia driver. I have geforce 7300 and I use ext4 as well, but when I disable the nvidia-drivers I have no problems at all.
I will try to install the 64-bit version to see how that is working.

In my system kde freezes with nvidia drivers 180.29 and .37. It works fine without freeze with driver 180.41.
It seems OpenGL crash with plasma
180.41 changelog:
http://www.nvnews.net/vbulletin/showthread.php?p=1963540

Wesley Velroij (velroy1) wrote :

Ive tested with ext3, and happens to here, if kubuntu freezes keyboard dont react anymore, I use intel atom 330 with intel vga 945, so its not a nvidia driver that makes this happen.

JonathanCasey (j-d-b-casey) wrote :

Yes, I've tried Kubuntu 9.04 64bit with ext4 on my AMD duel core 4400 with ATI x1950 pro (AGP not PCIe) - 2GB DDR1 memory

I have the graphics acceleration enabled with visual effects though I'm not sure what drivers I'm using (it appears to have installed them automatically when I installed).

It freezes almost constantly. I don't have this problem with Ubuntu.

When I close a window or try to load something, the keyboard locks up (num lock light wont turn on/off etc.) but the mouse cursor still moves around fine (though I can't click and nothing reponds to the cursor's presence),

Very annoying :(

It's crashed around 15 times and I've only used it for like 2 hours in total.

Shame.

Jon.

Rob A (docsmooth) wrote :

9.04 Kubuntu release with all updates as of 2009/05/05. Upgrade from Kubuntu 8.04. System freezes (no IRQs accepted = no mouse movement, no keyboard indicator changes) periodically.

EXT3 filesystem for both separate "/" and "/home". IBM T60 laptop with 4GB RAM, ATI X1300, iwl3645 wifi, T2400 CPU. Has happened while I'm on applications, switching between applications, and even when I'm turned away from the PC to answer a phone call (turn back, all frozen).

My problem so far seems most likely related to overheating: when I boot back up, my CPUs are always above 60C - they never ran that hot under 8.04, so I'm hunting down what's changed with power management, even though I have a cpufreqd setting for "avoid overheating", but that doesn't appear to be taking affect, since it locks the processors at 1GHz, and they're not being locked.

JonathanCasey (j-d-b-casey) wrote :

Well my desktop is water cooled and never goes above perfeclty acceptible temperatures with no problems of overheating in the past, also my mouse still moves the cursor around but that is all. Mouse clicking, ctrl+alt+backspace, ctrl+alt+f1 etc. etc. doesn't work.

I did try to apply the updates but the computer froze as it was installing them and now the updater says i am fully up-to-date and offers no available updates. I have concidered re-installing and see if this fixes the issue but i hopes are low and I've had to give up playing with it for now.

I performed an md5 checksum on the downloaded iso and also verified the burnt disk so I know the install is not corrupt etc.

I'll see how it runs on my other desktop and laptop to see if its a consistent problem, tho I'de be supprised that such a fatel bug got through all the testing - (does kubuntu actually go through a lot of testing or do they just take ubuntu and stick a copy of kde in place with a changed booting screen?)

I applied all updates to May 8th and now experience freezes - 2 when using Firefox and 1 in Dolphin. The 2 in Firefox completely froze the system (mouse, cursor, keyboard) and had to manually power off. In Dolphin I still had the mouse (but no response to clicking) and could Ctl-Alt-Del to get a shutdown response; I only ended the session and was able to re-login successfully.

Isaac Kriegman (zackriegman) wrote :

I'm having the same problem, and it seems to be clearly related to plasma. It happens very frequently if I am in the plasma dashboard. Otherwise it might happen when I click on a plasma panel.

The mouse cursor will still move fine so this isn't an normal X crash or a system crash. However, I will not be able to click on anything, nor does typing work, nor all the usual reset key combinations. Finally the screen will stop updating (apart from the moving mouse cursor). For instance if open office is on the screen the input cursor will stop blinking. The minutes of the clock on my plasma panel do not update.

I think the biggest problem that linux has with new adoption is simply its stability. Constant problems, even though I bought a computer with linux preinstalled (inspiron 1420). Every time there is an new ubuntu release coming up I keep thinking to myself, this time, this time it will be stable enough to really recommend to my friends and family. And every time it is a nightmare. Even though I've been using linux exclusively for nearly 10 years, I know that most of the people I know would not be able to figure it out. People keep talking about desktop linux and wondering when it will take off. The answer is obvious: it will take off when it starts to work consistently (if that every happens). If it actually worked, I think I could convince about 10 friends and family to switch over, but it doesn't.

Eric Marquez Nava (eamner) wrote :

Hello. It's the first time I post here. I've been having this problem since I upgraded to KDE4. I've posted this problem in many forums and nobody has given me a solution. I just have little differences in my description, but it's basically the same thing you have posted.
 My computer freezes at any moment. And it's a "full freeze". The mouse and keyboard are dead. I notice that the fan coolers work a bit harder, but I've left the "top" command running on the screen and I see nothing running at 100%. The strange thing is that after a few minutes (could be 5, 10, or more), the system comes back to life. When it happens all I can do is push the reset button in my computer... or wait until it comes back.
 This never happened when I had KDE3 (with kubuntu 6.06). It all started when I moved to 8.04. Right now I have Jaunty with kde 4.2.1.
 On windows I have no problems at all. Which makes me use more Windows than kubuntu (frustrating, yes).
 Important: I have a dual boot configuration (WinXP & Kubuntu) using 2 hard drives (80GB SATA for windows and 30GB IDE for Kubuntu). This is the rest of my hardware:
 Pentium 4, 3ghz (with intel motherboard); 2GB RAM; NVIDIA 7300GT (256MB); SBLIVE 5.1; I have 1 optic mouse and 1 ps/2 keyboard.
 I've done several tests. Did one with fdisk and it said I had 0 bad blocks. I have 1.2gb of Swap memory, but always "0" used.
 And yes, I have the latest nvidia drivers (180.51). Of course I tried all the previous versions. It happens with/out the Desktop effects. I'm not sure it has anything to do with drivers... After my latest re-install, it didn't take long to get freezed. Even before I installed anything. Even before I updated the system. Just fresh-clean installed.
 It happens when I'm playing games, when I'm surfing the net, when I'm doing nothing.... or it may not happen at all in one night. It's totally random.
 Another strange thing is that, when the systems comes back, the computer clock is delayed (for the amount of time it was freezed).
 Any idea will be appreciated. I'm running out of options.

 Greetings,
 Eric.

Hugh F. Sincock (hugh576) wrote :

Add me to the list of random freeze-ups. Dell Inspiron 1525 with factory-installed Ubuntu 7.10. Upgraded to 8.04 and 8.10 with minimal hassles. Loved the look and feel of KDE 4.2, so I did a clean install of Kubuntu 9.04 from live CD. Checked CD with md5sum before install. Still love KDE 4.2, but ever since installation the computer randomly freezes up. The mouse pointer continues to operate, but mouse buttons and keyboard are dead. Cannot restart X. Only way out is hardware re-boot. Tried disabling desktop effects to no avail. Didn't see this problem with Alpha and Beta releases. Many others have reported this problem here:
http://kubuntuforums.net/forums/index.php?topic=3103329.0
Some have suggested a kernel change, but I haven't tried that. After a year with Ubuntu, I'm a fan, but still limited in my ability to diagnose and fix problems.

Wesley Velroij (velroy1) wrote :

Something says me this is a genaral problem on linux on the moment, but I also think iot is because I use uxa.

Adrian (adrian-dziubek) wrote :

It affects my system too. Intel T5550 with Intel X3100 graphics. I can move the mouse cursor, but it doesn't change on hoovering different things, it just stays what it was at the time of freeze.

I can login to my computer using SSH and it's looking more or less fine, nothing jumps to my attention in "top". However even killing X with -9 doesn't restore the control, it only displays garbage on the screen from then on. Trying "invoke-rc.d kdm restart" says kdm is not responding to TERM signal. I guess my next try is to downgrade X server or upgrade it to Debian.

JonathanCasey (j-d-b-casey) wrote :

I liked your idea of trying SSH, I didn't think of that myself.
Its nice to know the computer isn't completly dead just the user interface / display updating is messed up.
Not that I know much about how X works but I'm guessing there are events which are sent to each window telling it to update and those event signals are not being sent anymore, hence they don't update when your mouse hovers over them etc. As the mouse still works and X isn't using 100% CPU then it appears there is something stopping the update event signals but that could be many things... :(
Never the less, we've clearly identified a critical problem which seems to be KDE related that is breaking X. As I've not seen this issue on Ubunutu 9.04 then I'de say its definatly a Kubuntu or KDE problem. I'm trying to think what would have the power to stop applications from within X from updating and I can only guess something pretty fundamental is happening, I doubt its a user space program thats stopping X from asking the applications to update :/

The clock freezes too so it's not just x failing to ask programs to update .
. . Unless x has to ask the clock to update. It seems like screen updates
are not being passed through somehow. One thing to try next time would be
performing the key strokes to open a terminal and reboot the system . . .
Although the sleep button does not work, so probably this won't work
either. So it seems like x is freezing both input and output somehow . . .
But not the cursor . . . I find this very strange (and very frustrating--it
makes my computer unusable when it is freezing every few minutes).

On May 22, 2009 7:20 AM, "JonathanCasey" <email address hidden> wrote:

I liked your idea of trying SSH, I didn't think of that myself.
Its nice to know the computer isn't completly dead just the user interface /
display updating is messed up.
Not that I know much about how X works but I'm guessing there are events
which are sent to each window telling it to update and those event signals
are not being sent anymore, hence they don't update when your mouse hovers
over them etc. As the mouse still works and X isn't using 100% CPU then it
appears there is something stopping the update event signals but that could
be many things... :(
Never the less, we've clearly identified a critical problem which seems to
be KDE related that is breaking X. As I've not seen this issue on Ubunutu
9.04 then I'de say its definatly a Kubuntu or KDE problem. I'm trying to
think what would have the power to stop applications from within X from
updating and I can only guess something pretty fundamental is happening, I
doubt its a user space program thats stopping X from asking the applications
to update :/

-- kubuntu 9.04 freezes all the time
https://bugs.launchpad.net/bugs/337351You received this bug ...

Isaac Kriegman (zackriegman) wrote :

It's almost like a non-updating x window is filling the whole screen and
steeling all key strokes. Could you execute the x windows kill mode with
the mouse only and try killing whatever the top window is?

On May 22, 2009 9:18 AM, "Isaac Kriegman" <email address hidden> wrote:

The clock freezes too so it's not just x failing to ask programs to update .
. . Unless x has to ask the clock to update. It seems like screen updates
are not being passed through somehow. One thing to try next time would be
performing the key strokes to open a terminal and reboot the system . . .
Although the sleep button does not work, so probably this won't work
either. So it seems like x is freezing both input and output somehow . . .
But not the cursor . . . I find this very strange (and very frustrating--it
makes my computer unusable when it is freezing every few minutes).

On May 22, 2009 7:20 AM, "JonathanCasey" <email address hidden> wrote:

I liked your idea of trying SSH, I didn't think of that myself.
Its nice to know the computer isn't completly dead just the user interface /
display updating is messed up.
Not that I know much about how X works but I'm guessing there are events
which are sent to each window telling it to update and those event signals
are not being sent anymore, hence they don't update when your mouse hovers
over them etc. As the mouse still works and X isn't using 100% CPU then it
appears there is something stopping the update event signals but that could
be many things... :(
Never the less, we've clearly identified a critical problem which seems to
be KDE related that is breaking X. As I've not seen this issue on Ubunutu
9.04 then I'de say its definatly a Kubuntu or KDE problem. I'm trying to
think what would have the power to stop applications from within X from
updating and I can only guess something pretty fundamental is happening, I
doubt its a user space program thats stopping X from asking the applications
to update :/

-- kubuntu 9.04 freezes all the time
https://bugs.launchpad.net/bugs/337351You received this bug ...

JonathanCasey (j-d-b-casey) wrote :

I'm not sure if a user space application can steal commands such as ctrl+alt+f1 and ctrl+alt+backspace. I know the ctrl+alt+backspace is disabled in the new ubuntu (silly idea in my opinion :p) but even with it re-enabled it doesn't seem to kill x. Hmmm, it is a very odd bug indeed.

Eric Marquez Nava (eamner) wrote :

I think we're talking about 2 different cases here... (and not necessarily related, IMHO). One in which the computer freezes "totally" (not being able to even move the mouse or ctrl-alt-del the computer), which is my case... and another one where you can do these things... should I open another bug case?

Isaac Kriegman (zackriegman) wrote :

Ya, I think the total freeze is a different issue. Most people here are
talking about a partial freeze, where the mouse cursor still moves. Note
however that ctrl alt del does *not* work in the partial freeze. The only
thing that works is moving the mouse cursor. Nothing else is possible
(except a magic key shut down or ssh).

On May 22, 2009 2:00 PM, "Eric Marquez Nava" <email address hidden> wrote:

I think we're talking about 2 different cases here... (and not
necessarily related, IMHO). One in which the computer freezes "totally"
(not being able to even move the mouse or ctrl-alt-del the computer),
which is my case... and another one where you can do these things...
should I open another bug case?

-- kubuntu 9.04 freezes all the time
https://bugs.launchpad.net/bugs/337351You received this bug ...

JonathanCasey (j-d-b-casey) wrote :

Whats the magic key shutdown ? Sounds usefull... hehe

Isaac Kriegman (zackriegman) wrote :

Simultaneously hold down Alt, sysreq (print screen), and an additional
command key.

In order to shut down as safely as possible under the circumstances issue
these command keys in sequence with 1 second in between each: r e i s u b

On May 23, 2009 5:00 AM, "JonathanCasey" <email address hidden> wrote:

Whats the magic key shutdown ? Sounds usefull... hehe

-- kubuntu 9.04 freezes all the time https://bugs.launchpad.net/bugs/337351

You received this bug notification because you are a direct subscriber of
the bug.

JonathanCasey (j-d-b-casey) wrote :

Ah, I remeber reading about that once, I never got round to trying it though. Thanks :)

pbrandao (pmbrandao) wrote :

Hello all,

I am having the freeze with mouse working issue with *ubuntu/gnome* on Ubuntu 9.04 . I do have the KDE4 packages installed, but am running the gnome desktop. I'm having the already described symptoms of no keyboard but mouse movement. Sys (magic) keys work to sync/unmount/reboot the system.

At 1st I was thinking that the issue was related to the intel card issue:
http://www.ubuntu.com/getubuntu/releasenotes/904#Display%20freezes%20with%20Intel%20graphics%20cards

I've tried the "no visual effects" stuff and option 2 on
http://www.ubuntugeek.com/intel-graphics-performance-guide-for-ubuntu-904-jaunty-users.html

But none seemed to solve the problem. Given that the issues with the intel card did not mention the freeze with mouse working I guess (maybe incorrectly) that my issue is related to the bug here. Although the KDE part is missing.

The freeze is *not* related with suspend/resume or switching user env. It did seem that most of the times when it occurred there was a high disk usage (thunderbird +firefox+skype open, trackerd indexing, etc).

I've now removed trackerd (replaced with beagle) to see (hope is such a beautiful think :) ) if anything changes.

JonathanCasey (j-d-b-casey) wrote :

Are we all using the ext4 file system?...

Isaac Kriegman (zackriegman) wrote :

I rarely bring my computer with me since this crashing problem makes it
basically useless, so I'm not sure what file system it's using, however I do
know it is using the default kubuntu 9.04 file system, since I did a clean
install with the default options.

On Jun 5, 2009 9:05 AM, "JonathanCasey" <email address hidden> wrote:

Are we all using the ext4 file system?...

-- kubuntu 9.04 freezes all the time
https://bugs.launchpad.net/bugs/337351You received this bug ...

JonathanCasey (j-d-b-casey) wrote :

anyone know if Kubuntu does ext4 by deafult? :) I know Ubunutu makes you choose.

Isaac Kriegman (zackriegman) wrote :

But regardless of whether we are all using the same filesystem, would it
make sense for a filesystem bug to partially crash X while leaving ssh
working? I can log into my computer and do a directory listing, edit files,
etc., the file system does not seem to be crashed. Also, a filesystem
problem might leave an application dead, but would it leave X totally
unresponsive in such a strange way (i.e. mouse cursor still moves, but
computer is completely unresponsive, can't even switch to a different
console)?

My intuition says that this is an X problem, perhaps related to how it is
working with another program (but if it's happening in both gnome and kde
then maybe it is just an X problem).

Does anybody know if the problem has been encountered with other
distributions using this version of X?

Do we all have intel graphics cards?

What other X related programs might gnome and kde both be running?

On Fri, Jun 5, 2009 at 9:18 AM, Isaac Kriegman <email address hidden>wrote:

> I rarely bring my computer with me since this crashing problem makes it
> basically useless, so I'm not sure what file system it's using, however I do
> know it is using the default kubuntu 9.04 file system, since I did a clean
> install with the default options.
>
> On Jun 5, 2009 9:05 AM, "JonathanCasey" <email address hidden>
> wrote:
>
> Are we all using the ext4 file system?...
>
> -- kubuntu 9.04 freezes all the time
> https://bugs.launchpad.net/bugs/337351 You received this bug ...
>
>

JonathanCasey (j-d-b-casey) wrote :

Sorry, good point. its almost impossible a file system error would produce the same error in a particular program consistently for multiple differnt users.
My excuse is I've only just got up :p

drilus (mr-magus) wrote :

I'm also experiencing the same problem.

Kubuntu 9.04 with latest updates as of 6/5/09

Ext3 FileSystem, desktop effects enabled

I've noticed it's a bit more stable when I turn off the desktop effects.

Isaac Kriegman (zackriegman) wrote :

I thought it was more stable without desktop effects at first too, but I
think it was just random variation. Since then, I have had multiple crashes
in a row with desktop effects disabled.

On Fri, Jun 5, 2009 at 3:45 PM, drilus <email address hidden> wrote:

> I'm also experiencing the same problem.
>
> Kubuntu 9.04 with latest updates as of 6/5/09
>
> Ext3 FileSystem, desktop effects enabled
>
> I've noticed it's a bit more stable when I turn off the desktop effects.
>
> --
> kubuntu 9.04 freezes all the time
> https://bugs.launchpad.net/bugs/337351
> You received this bug notification because you are a direct subscriber
> of the bug.
>

James (jarshadi) wrote :

Hi Every One,

Just to let you know that I have the same problem BUT without KDE. I use Ubuntu 9.04 with GNOME so it is probably not a KDE problem :

MOUSE : works but no click
KEYBOARD : no action at all
SSH : can get to the system and TOP shows normal activities and no trace of any error or warning in any of /var/log files

Turned of effect on/off but no effect (I thought it is GNOME and had decided to install KDE but looks you all have the same problem on KDE too !)

Isaac Kriegman (zackriegman) wrote :

Sounds like the same problem. Btw, are you able to restart the computer
from ssh? My computer just seems to hang when I do that? What command do
you use?

What video card do you have?

On Jun 13, 2009 4:25 AM, "James" <email address hidden> wrote:

Hi Every One,

Just to let you know that I have the same problem BUT without KDE. I use
Ubuntu 9.04 with GNOME so it is probably not a KDE problem :

MOUSE : works but no click
KEYBOARD : no action at all
SSH : can get to the system and TOP shows normal activities and no trace of
any error or warning in any of /var/log files

Turned of effect on/off but no effect (I thought it is GNOME and had
decided to install KDE but looks you all have the same problem on KDE
too !)

--

kubuntu 9.04 freezes all the time https://bugs.launchpad.net/bugs/337351 You
received this bug notif...

James (jarshadi) wrote :

I think I might found something :

I tried to add in Device section of /etc/X11/xorg.conf

Option "DRI" "off"

Scince then I have no problem! look at http://www.ubuntu.com/getubuntu/releasenotes/904#Display%20freezes%20with%20Intel%20graphics%20cards

BUT now I can not play any video ! Others have the same problem : https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/374258

Isaac : For Reboot from SSH, I also have the problem, I only tried "sudo reboot"

pbrandao (pmbrandao) wrote :

After seeing some other submitted bugs that should be related
https://bugs.launchpad.net/ubuntu/+bug/375109
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/368642
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/367045

There seems to be a solution described in the ubuntuforums
http://ubuntuforums.org/showthread.php?t=1130582

I've done the safe config and it seems top be holding (haven't used the desktop for long yet).

Isaac Kriegman (zackriegman) wrote :

I haven't had this problem in a while now. Maybe an update has fixed it?
Is any body else still experiencing this problem? (If so maybe a change in
my usage is hiding it.)

On Jul 13, 2009 8:25 AM, "pbrandao" <email address hidden> wrote:

After seeing some other submitted bugs that should be related
https://bugs.launchpad.net/ubuntu/+bug/375109
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/368642
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/367045

There seems to be a solution described in the ubuntuforums
http://ubuntuforums.org/showthread.php?t=1130582

I've done the safe config and it seems top be holding (haven't used the
desktop for long yet).

-- kubuntu 9.04 freezes all the time
https://bugs.launchpad.net/bugs/337351You received this bug ...

Wesley Velroij (velroy1) wrote :

Fixed in 9.10 but ofcourse ubuntu will not backport the new kernel and xorg, because they love scaring people away

Changed in kubuntu-meta (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers